
Infrastructure - Bug #2600

CN getLogRecords filter parameters have no effect

2012-04-12 16:08 - Dave Vieglais

Status: Closed Start date: 2012-04-12

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: Sprint-2012.17-Block.3.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Attempting to limit the response of CN.getLogRecords using:

fromDate

toDate

pidFilter

event

has no effect on the records returned.

e.g.: curl -k "https://cn-dev.dataone.org/cn/v1/log?start=0&count=2&fromDate=2012-04-11T04:00:00.000Z"

<?xml version="1.0" encoding="UTF-8"?>

51264

FunctionalTest:smdChange:urn:node:mnDevGMN

129.24.0.10

Apache-HttpClient/4.1.2 (java 1.5)

129.24.0.10

read

2012-04-04T22:35:09.486Z

urn:node:mnDevGMN

51263

FunctionalTest:smdChange:urn:node:mnDevGMN

129.24.0.10

Apache-HttpClient/4.1.2 (java 1.5)

129.24.0.10

read

2012-04-04T22:29:44.325Z

urn:node:mnDevGMN

/d1:log

History

#1 - 2012-04-23 17:38 - Robert Waltz

- Status changed from New to In Progress

- Target version set to Sprint-2012.17-Block.3.1

#2 - 2012-04-26 21:01 - Robert Waltz

- Status changed from In Progress to Closed
